version: 1.0.0

errors:
    - name: InvalidSensorReading
      severity: warning
      errno: EIO
      metadata:
          - name: SensorName
            description: The name or identifier of the sensor.
            type: object_path
            primary: true
      redfish-mapping: SensorEvent.InvalidSensorReading

    - name: SensorFailure
      severity: critical
      errno: EIO
      metadata:
          - name: SensorName
            description: The name or identifier of the sensor.
            type: object_path
            primary: true
      redfish-mapping: SensorEvent.SensorFailure

events:
    - name: SensorRestored
      metadata:
          - name: SensorName
            description: The name or identifier of the sensor.
            type: object_path
            primary: true
      redfish-mapping: SensorEvent.SensorRestored
